package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.RoomInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface RoomInfoService {
	RoomInfo get(String id);
	boolean exist(String id);
	int insert(RoomInfo model);
	int update(RoomInfo model);
	int delete(String id);
	int deleteAll(RoomInfo model);
	int deleteClient(RoomInfo roomInfo);
	List<RoomInfo> list();
	Page<RoomInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
    List<RoomInfo> findByTypeAndParentId(@Param("type") String type, @Param("parentId") String parentId);
	List<String> findIdByTypeAndParentIds(String type, List<String> parentIds);
}